result.appendSource(entry.srcText).append(": ");

def map = entry.translationWithComments
def count = map.size() - 1

map.each { tra,commentsList -> 
	result.appendTarget(tra, entry.hasPriorities(tra));
	for (com in commentsList) if ((com != null) && (com.length() > 0)) {
		result.append("\n -> "); result.appendComment(com); 
	}
	if (count-- > 0) result.append(",");
}

result.append("\n\n");